Package com.mapd.thrift.server

## Class TCountDistinctSet

- java.lang.Object
- - com.mapd.thrift.server.TCountDistinctSet

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<TCountDistinctSet>`, `org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>`, `org.apache.thrift.TSerializable`

    public class TCountDistinctSet
    extends Object
    implements org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>, Serializable, Cloneable, Comparable<TCountDistinctSet>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TCountDistinctSet._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TCountDistinctSet._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`
`long` `remote_ptr`
`TCountDistinctSetStorage` `storage`
`TCountDistinctImplType` `type`

### Constructor Summary

Constructors
`TCountDistinctSet()`
`TCountDistinctSet​(TCountDistinctImplType type, TCountDistinctSetStorage storage, long remote_ptr)`
`TCountDistinctSet​(TCountDistinctSet other)` Performs a deep copy on other.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`int` `compareTo​(TCountDistinctSet other)`
`TCountDistinctSet` `deepCopy()`
`boolean` `equals​(TCountDistinctSet that)`
`boolean` `equals​(Object that)`
`TCountDistinctSet._Fields` `fieldForId​(int fieldId)`
`Object` `getFieldValue​(TCountDistinctSet._Fields field)`
`long` `getRemote_ptr()`
`TCountDistinctSetStorage` `getStorage()`
`TCountDistinctImplType` `getType()`
`int` `hashCode()`
`boolean` `isSet​(TCountDistinctSet._Fields field)` Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise
`boolean` `isSetRemote_ptr()` Returns true if field remote_ptr is set (has been assigned a value) and false otherwise
`boolean` `isSetStorage()` Returns true if field storage is set (has been assigned a value) and false otherwise
`boolean` `isSetType()` Returns true if field type is set (has been assigned a value) and false otherwise
`void` `read​(org.apache.thrift.protocol.TProtocol iprot)`
`void` `setFieldValue​(TCountDistinctSet._Fields field, Object value)`
`TCountDistinctSet` `setRemote_ptr​(long remote_ptr)`
`void` `setRemote_ptrIsSet​(boolean value)`
`TCountDistinctSet` `setStorage​(TCountDistinctSetStorage storage)`
`void` `setStorageIsSet​(boolean value)`
`TCountDistinctSet` `setType​(TCountDistinctImplType type)`
`void` `setTypeIsSet​(boolean value)`
`String` `toString()`
`void` `unsetRemote_ptr()`
`void` `unsetStorage()`
`void` `unsetType()`
`void` `validate()`
`void` `write​(org.apache.thrift.protocol.TProtocol oprot)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### type

    public TCountDistinctImplType type

See Also:
  `TCountDistinctImplType`

#### storage

    public TCountDistinctSetStorage storage

#### remote_ptr

    public long remote_ptr

#### metaDataMap

    public static final Map<TCountDistinctSet._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TCountDistinctSet

    public TCountDistinctSet()

#### TCountDistinctSet

    public TCountDistinctSet​(TCountDistinctImplType type,
                             TCountDistinctSetStorage storage,
                             long remote_ptr)

#### TCountDistinctSet

    public TCountDistinctSet​(TCountDistinctSet other)

Performs a deep copy on other.

### Method Detail

#### deepCopy

    public TCountDistinctSet deepCopy()

Specified by:
  `deepCopy` in interface `org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>`

#### clear

    public void clear()

Specified by:
  `clear` in interface `org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>`

#### getType

    public TCountDistinctImplType getType()

See Also:
  `TCountDistinctImplType`

#### setType

    public TCountDistinctSet setType​(TCountDistinctImplType type)

See Also:
  `TCountDistinctImplType`

#### unsetType

    public void unsetType()

#### isSetType

    public boolean isSetType()

Returns true if field type is set (has been assigned a value) and false otherwise

#### setTypeIsSet

    public void setTypeIsSet​(boolean value)

#### getStorage

    public TCountDistinctSetStorage getStorage()

#### setStorage

    public TCountDistinctSet setStorage​(TCountDistinctSetStorage storage)

#### unsetStorage

    public void unsetStorage()

#### isSetStorage

    public boolean isSetStorage()

Returns true if field storage is set (has been assigned a value) and false otherwise

#### setStorageIsSet

    public void setStorageIsSet​(boolean value)

#### getRemote_ptr

    public long getRemote_ptr()

#### setRemote_ptr

    public TCountDistinctSet setRemote_ptr​(long remote_ptr)

#### unsetRemote_ptr

    public void unsetRemote_ptr()

#### isSetRemote_ptr

    public boolean isSetRemote_ptr()

Returns true if field remote_ptr is set (has been assigned a value) and false otherwise

#### setRemote_ptrIsSet

    public void setRemote_ptrIsSet​(boolean value)

#### setFieldValue

    public void setFieldValue​(TCountDistinctSet._Fields field,
                              Object value)

Specified by:
  `setFieldValue` in interface `org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>`

#### getFieldValue

    public Object getFieldValue​(TCountDistinctSet._Fields field)

Specified by:
  `getFieldValue` in interface `org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>`

#### isSet

    public boolean isSet​(TCountDistinctSet._Fields field)

Returns true if field corresponding to fieldID is set (has been assigned a value) and false otherwise

Specified by:
  `isSet` in interface `org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>`

#### equals

    public boolean equals​(Object that)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TCountDistinctSet that)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### compareTo

    public int compareTo​(TCountDistinctSet other)

Specified by:
  `compareTo` in interface `Comparable<TCountDistinctSet>`

#### fieldForId

    public TCountDistinctSet._Fields fieldForId​(int fieldId)

Specified by:
  `fieldForId` in interface `org.apache.thrift.TBase<TCountDistinctSet,​TCountDistinctSet._Fields>`

#### read

    public void read​(org.apache.thrift.protocol.TProtocol iprot)
              throws org.apache.thrift.TException

Specified by:
  `read` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### write

    public void write​(org.apache.thrift.protocol.TProtocol oprot)
               throws org.apache.thrift.TException

Specified by:
  `write` in interface `org.apache.thrift.TSerializable`
Throws:
  `org.apache.thrift.TException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### validate

    public void validate()
                  throws org.apache.thrift.TException

Throws:
  `org.apache.thrift.TException`